﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridTabControlTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Label", typeof(string));

            for(int i=0; i<10; i++)
            {
                DataRow row = table.NewRow();
                row[0] = i;
                row[1] = "Item " + i.ToString();
                table.Rows.Add(row);
            }

            ultraGrid1.AfterCellUpdate += UltraGrid1_AfterCellUpdate;            
            ultraGrid1.DataSource = table;
        }       

        private void UltraGrid1_AfterCellUpdate(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            MessageBox.Show("After Cell Update Hit!");
        }
    }
}
